:root {
    --ifr-primary-font: 'Montserrat', sans-serif;
    --ifr-secondary-font: 'Source Sans Pro', sans-serif;

    --ifr-bg-primary-color: #FFF;
    --ifr-bg-primary-op-color: #F4F6F7;
    --ifr-bg-secondary-op-color: #333333;
    --ifr-bg-secondary-color: #212121;

    --ifr-border-primary-color: #E6E6E6;

    --ifr-font-primary-color: #fff;
    --ifr-font-primary-op-color: #99A9B5;
    --ifr-font-primary-supp-color: #9E9E9E;
    --ifr-font-secondary-op-color: #333333;
    --ifr-font-secondary-color: #212121;

    --ifr-border-tag-radius: 3px;
    --ifr-border-search-radius: 17px;
    --ifr-border-card-radius: 24px;
}

.ifr_container {
    padding: 21px;
    display: flex;
}

.ifr_selector-title {
    color: var(--ifr-font-secondary-op-color);
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 30px;
    letter-spacing: 0.8px;
    text-transform: uppercase;
}

.ifr_selector-height-title,
.ifr_selector-weight-title {
    margin-bottom: 40px;
}

.ifr_selector-num {
    color: var(--ifr-font-secondary-op-color);
    font-family: var(--ifr-secondary-font);
    font-size: 17.6px;
    font-style: normal;
    font-weight: 400;
    line-height: 25px;
}

.ifr_selector-num-space {
    margin: 0 4px;
}

.ifr_selector-supp {
    color: var(--ifr-font-primary-supp-color);
    font-family: var(--ifr-secondary-font);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 25px;
    margin-left: 4px;
}

.ifr_selector-tag {
    color: var(--ifr-font-secondary-op-color);
    font-family: var(--ifr-secondary-font);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 17px;
    cursor: pointer;
}

.ifr_selector-line {
    display: block;
    width: 100%;
    height: 1px;
    border-radius: 50%;
    background: var(--ifr-border-primary-color);
}

.ifr_selector-section {
    width: 308px;
}

.ifr_selector-section-search,
.ifr_selector-section-height,
.ifr_selector-section-weight,
.ifr_selector-section-style {
    width: 100%;
    margin-bottom: 17px;
}

.ifr_selector-section-height,
.ifr_selector-section-weight,
.ifr_selector-section-style {
    padding: 31px 0 25px 0;
}

.ifr_selector-search-label {
    position: relative;
    display: block;
}

.ifr_selector-search-input {
    background: var(--ifr-bg-primary-op-color);
    border-radius: var(--ifr-border-search-radius);
    padding: 7px 37px 7px 18px;
    width: 100%;
    outline: none;
    border: none;
    color: var(--ifr-font-primary-supp-color);
    font-family: var(--ifr-secondary-font);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
}

input[type="search"]::-webkit-search-cancel-button {
    display: none;
    -webkit-appearance: none;
}


.ifr_selector-search-input::placeholder {
    color: var(--ifr-font-primary-supp-color);
}

.ifr_selector-search-button {
    position: absolute;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    right: 12px;
    width: 16px;
    height: 16px;
    top: 50%;
    background: transparent;
    transform: translateY(-50%);
}

.ifr_selector-search-icon {
    width: inherit;
    height: inherit;
}

.ifr_selector-weight-list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    column-gap: 1px;
    row-gap: 13px;
}

.ifr_selector-weight-item {
    border: 1px solid var(--ifr-border-primary-color);
    border-radius: var(--ifr-border-tag-radius);
    width: fit-content;
    padding: 6px 12px;
}

.ifr_card-supp {
    color: var(--ifr-font-primary-op-color);
    font-size: 9px;
    font-style: normal;
    font-weight: 500;
    line-height: 10.8px;
    letter-spacing: 0.45px;
    text-transform: uppercase;
}

.ifr_card-title {
    color: var(--ifr-font-secondary-op-color);
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 18.2px;
}

.ifr_card-price {
    color: var(--ifr-font-secondary-op-color);
    font-family: var(--ifr-secondary-font);
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
}

.ifr_card-section {
    width: 100%;
}

.ifr_card-main {
    width: 568px;
    height: 688px;
    border-radius: var(--ifr-border-card-radius);
    margin: 0 auto 168px auto;
}

.ifr_card-main-preview {
    display: flex;
    height: inherit;
    justify-content: center;
    margin-bottom: 30px;
}

.ifr_card-preview-img {
    width: 100%;
    object-fit: contain;
    transition: transform 0.3s ease;
}

.ifr_card-main-info {
    text-align: center;
}

.ifr_card-info-tags {

}

.ifr_card-info-title {

}

.ifr_card-info-price {

}

.ifr_card-item {
    cursor: pointer;
}

.ifr_card-item-flex {
    text-align: center;
}

.ifr_card-item-img {
    max-height: 438px;
    margin: 0 auto 17px auto;
    display: block;
    object-fit: cover;
}

.ifr_card-list {
    list-style: none;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, auto);
    column-gap: 21px;
    row-gap: 54px;
    min-height: 1126px;
}

.ifr_card-item {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.ifr_card-item-wrapper {
    position: relative;
    width: 100%;
}

.ifr_card-wrapper-circle {
    position: absolute;
    right: 0;
    top: 0;
    width: 32px;
    height: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--ifr-bg-primary-op-color);
    border-radius: 50%;
}

.ifr_card-circle-icon {
    width: 16px;
    height: 16px;
}

.ifr_carousel-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.ifr_carousel-pagination {

}

.ifr_carousel-pagination-tools {
    min-height: 40px;
}

.ifr_carousel-pagination-tools button {
    color: var(--ifr-font-secondary-color);
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 30px;
    text-transform: uppercase;
    width: 36px;
    height: 36px;
    border: none;
    background: transparent;
    cursor: pointer;
}

.ifr_carousel-pagination-tools .active {
    background: var(--ifr-bg-secondary-color);
    color: var(--ifr-font-primary-color);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--ifr-primary-font);
}

#app {}

.ifr_selector-height-container,
.ifr_selector-weight-container {
    position: relative;
    width: 300px;
    height: 6px;
    margin: 0 8.41px 30px 8.41px;
}

.ifr_selector-height-slider-track,
.ifr_selector-weight-slider-track {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 6px;
    background: var(--ifr-bg-primary-op-color);
    transform: translateY(-50%);
    border-radius: 3px;
    z-index: 1;
}

.ifr_selector-height-slider,
.ifr_selector-weight-slider {
    position: absolute;
    width: 100%;
    height: 6px;
    background: transparent;
    pointer-events: none;
    -webkit-appearance: none;
    z-index: 2;
}

.ifr_selector-height-slider::-webkit-slider-runnable-track,
.ifr_selector-weight-slider::-webkit-slider-runnable-track {
    background: transparent;
}

.ifr_selector-height-slider::-moz-range-track,
.ifr_selector-weight-slider::-moz-range-track {
    background: transparent;
}

.ifr_selector-height-slider::-webkit-slider-thumb,
.ifr_selector-weight-slider::-webkit-slider-thumb {
    pointer-events: all;
    width: 14px;
    height: 14px;
    background: #000;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    -webkit-appearance: none;
}

.ifr_selector-height-slider::-moz-range-thumb,
.ifr_selector-weight-slider::-moz-range-thumb {
    pointer-events: all;
    width: 14px;
    height: 14px;
    background: #000;
    border: none;
    border-radius: 50%;
    cursor: pointer;
}

.ifr_selector-height-slider-min,
.ifr_selector-weight-slider-min {
    z-index: 3;
}

.ifr_selector-height-slider-max,
.ifr_selector-weight-slider-max {
    z-index: 4;
}

.ifr_selector-height-slider-value,
.ifr_selector-weight-slider-value {
    width: fit-content;
    display: flex;
    margin-left: 15px;
    color: #999;
    font-family: var(--ifr-secondary-font);
    font-size: 1rem;
}
